<mat-sidenav-container >
    <mat-sidenav #sidenav mode="over">
      <mat-toolbar color="primary">
        Menu
      </mat-toolbar>
      <mat-nav-list>
        <a mat-list-item [routerLink]="['/']" (click)="sidenav.toggle()">
          Dashboard
        </a>
        <a mat-list-item  [routerLink]="['/cars']" (click)="sidenav.toggle()">
          Car
        </a>
        <a mat-list-item  [routerLink]="['/customers']" (click)="sidenav.toggle()">
          Customer
        </a>
        <a mat-list-item  [routerLink]="['/sales']" (click)="sidenav.toggle()">
          Sales
        </a>
        <hr>
        <a mat-list-item [routerLink]="['/login']" (click)="authService.signOutWithGoogle();sidenav.toggle()">
          Sign Out
        </a>

      </mat-nav-list>
    </mat-sidenav>

    <mat-sidenav-content>
      <!-- <app-header [user]="user$ | async"  (logout)="logoutUser()" (sideToggle)="sidenav.toggle()"></app-header> -->
      <mat-toolbar color="primary">
          <mat-toolbar-row>
            <mat-icon *ngIf="authService.isSignedInStream | async" class="example-icon" (click)="sidenav.toggle()" routerLinkActive="active">menu</mat-icon>
            <span routerLink="/dashboard" routerLinkActive="active" id="title">ADMS </span>
            <span class="example-spacer"></span>
            <span *ngIf="authService.isSignedInStream | async" >
              <span id="user_name"> {{authService.displayNameStream | async}}</span>
              <img *ngIf="authService.photoUrl;else noPhotoTemplate"  id="user_img" [src]="authService.photoUrl" alt="google profile photo">
              <ng-template #noPhotoTemplate>
                  <img id="user_img" src="https://firebasestorage.googleapis.com/v0/b/test001-lizhang.appspot.com/o/photos%2Fmissing_photo.png?alt=media&token=1bd6aaf5-43d7-43f8-8700-2a4ea1419e47" alt="missing photo">
              </ng-template>
            </span>
            <!-- <span *ngIf="authService.isSignedInStream | async" (click)="authService.signOutWithGoogle()" routerLinkActive="active">Logout</span> -->
            <!-- <span *ngIf="!(authService.isSignedInStream | async)" routerLink="/login" routerLinkActive="active">Login</span> -->
          </mat-toolbar-row>
        </mat-toolbar>
        <div class="headers"  *ngIf="authService.isSignedInStream | async" >

           <button mat-stroked-button color="primary" routerLink="/cars" routerLinkActive="active">Car</button>
           <button mat-stroked-button color="primary" routerLink="/customers" routerLinkActive="active">Customer</button>
           <button mat-stroked-button color="primary" routerLink="/sales" routerLinkActive="active">Sales</button>
           <!-- <button mat-stroked-button color="primary" routerLink="/upload" routerLinkActive="active">Upload</button> -->
           <button mat-stroked-button color="primary" routerLink="/admin" routerLinkActive="active">Admin</button>

        </div>
      <router-outlet></router-outlet>
    </mat-sidenav-content>
  </mat-sidenav-container>

